1. Authentication
FreightLens.io Public API
  • FreightLens Track & Trace API
    • Authentication
      • Get an access token
        POST
    • Shipments
      • Look up a shipment by reference
    • Schemas
      • Transmission
      • TransmissionHeader
      • ShipmentTracking
      • Location
      • Vessel
      • TransportCall
      • DocumentReference
      • ShipmentEvent
      • TransportEvent
      • EquipmentEvent
      • Container
      • Exception
      • Impact
      • SubscriptionRequest
      • Subscription
      • TokenResponse
      • Error
  • Getting Started
    • Getting Started with the FreightLens.io Track & Trace API
  • Authentication
    • Authentication
  • DCSA-aligned data elements
    • Data Elements & Enumerations (DCSA-aligned)
  1. Authentication

Get an access token

POST
/oauth/token

Request

Authorization
Body Params application/x-www-form-urlencodedRequired

Responses

🟢200
application/json
Token issued
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/oauth/token' \
--data-urlencode 'grant_type=' \
--data-urlencode 'client_id=' \
--data-urlencode 'client_secret=' \
--data-urlencode 'scope=track-and-trace.read'
Response Response Example
{
    "access_token": "string",
    "token_type": "Bearer",
    "expires_in": 3600,
    "scope": "track-and-trace.read"
}
Modified at 2026-09-03 20:23:39
Next
Look up a shipment by reference
Built with